import { Vector2 } from '../types/Vector2.type';

/**
 * Calculates the velocity vector (vx, vy) between two points over a given time delta.
 *
 * @param a - The starting point.
 * @param b - The ending point.
 * @param dt - The time delta in seconds.
 * @returns The velocity vector (vx, vy) in units per second.
 */
export declare const vxvy: (a: Vector2, b: Vector2, dt: number) => Vector2;
/**
 * Calculates the velocity between two points over a given time delta.
 *
 * @param a - The starting point.
 * @param b - The ending point.
 * @param dt - The time delta in seconds.
 * @returns The velocity in units per second.
 */
export declare const velocity: (a: Vector2, b: Vector2, dt: number) => number;
